## flume-ng 1.9.0+cdh6.3.0

=== debian/changelog ===
flume-ng (1.9.0+cdh6.3.0-1279813.meta1) stable; urgency=medium

  * Packaging for MetaCentrum.

 -- František Dvořák <valtri@civ.zcu.cz>  Wed, 28 Aug 2019 00:42:59 +0200

flume-ng (1.9.0+cdh6.3.0-1279813) cloudera; urgency=medium

  * Please see git repos.

 -- MAINTAINER <jenkins@cldrn-ub1604-ec2-c5d-18xlarge-spotblk-0483.vpc.cloudera.com>  Thu, 18 Jul 2019 10:30:20 -0700
