=== debian/control ===
# Licensed to the Apache Software Foundation (ASF) under one or more
# contributor license agreements.  See the NOTICE file distributed with
# this work for additional information regarding copyright ownership.
# The ASF licenses this file to You under the Apache License, Version 2.0
# (the "License"); you may not use this file except in compliance with
# the License.  You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

Source: flume-ng
Section: misc
Priority: extra
Maintainer: Cloudera Inc. <https://issues.cloudera.org>
Build-Depends: debhelper (>= 7.0.50~)
Standards-Version: 3.8.0
Homepage: http://incubator.apache.org/projects/flume.html

Package: flume-ng
Architecture: all
Depends: adduser, hadoop-hdfs, hadoop-yarn, hadoop-mapreduce, hadoop-yarn, bigtop-utils (>= 0.7), avro-libs, parquet, kite (>= 0.10.0+cdh5.1.0), hive-jdbc (>= 1.1.0+cdh5.4.0), hive (>= 1.1.0+cdh5.4.0)
Description: Flume is a reliable, scalable, and manageable distributed log collection application for collecting data such as logs and delivering it to data stores such as Hadoop's HDFS.
 Flume is a reliable, scalable, and manageable distributed data 
 collection application for collecting data such as logs and delivering it 
 to data stores such as Hadoop's HDFS.  It can efficiently collect, 
 aggregate, and move large amounts of log data.  It has a simple, 
 but flexible, architecture based on streaming data flows.  It is 
 robust and fault tolerant with tunable reliability mechanisms and many 
 failover and recovery mechanisms.  The system is centrally managed and 
 allows for intelligent dynamic management. It uses a simple extensible 
 data model that allows for online analytic applications.

Package: flume-ng-agent
Architecture: all
Depends: flume-ng (= ${source:Version})
Description: The flume agent daemon is a core element of flume's data path and is responsible for generating, processing, and delivering data.
 Flume is a reliable, scalable, and manageable distributed data collection 
 application for collecting data such as logs and delivering it to data 
 stores such as Hadoop's HDFS.  It can efficiently collect, aggregate,
 and move large amounts of log data.  It has a simple, but flexible, 
 architecture based on streaming data flows.  It is robust and fault 
 tolerant with tunable reliability mechanisms and many failover and recovery 
 mechanisms.  The system is centrally managed and allows for intelligent 
 dynamic management. It uses a simple extensible data model that allows 
 for online analytic applications.

Package: flume-ng-doc
Architecture: all
Section: doc
Description: Documentation for Flume NG
 This package contains Flume NG documentation.
