=== debian/rules ===
#!/usr/bin/make -f
export COMPONENT_HASH=7984eceef5dcd1fcdfec113570ad690e882c6074
 FLUME_NG_VERSION=1.9.0+cdh6.3.0
 FLUME_NG_PATCHED_VERSION=1.9.0-cdh6.3.0
 FLUME_NG_BASE_VERSION=1.9.0
 FLUME_NG_RELEASE=1279813
 CDH_CUSTOMER_PATCH=p0
 CDH_PARCEL_CUSTOM_VERSION=1.9.0+cdh6.3.0-1279813.bionic
#
# Licensed to the Apache Software Foundation (ASF) under one or more
# contributor license agreements.  See the NOTICE file distributed with
# this work for additional information regarding copyright ownership.
# The ASF licenses this file to You under the Apache License, Version 2.0
# (the "License"); you may not use this file except in compliance with
# the License.  You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS

build_version=${FLUME_NG_PATCHED_VERSION}

%:
	dh $@

override_dh_auto_build:
	# No easy way to disable the default RAT run which fails the build because of some fails in the debian/ directory
	rm -rf bigtop-empty
	mkdir -p bigtop-empty
	# I could not find a way to add debian/ to RAT exclude list through cmd line
	# or to unbind rat:check goal
	# So I am redirecting its attention with a decoy
	env FULL_VERSION=$(build_version) \
	  bash debian/do-component-build -Drat.basedir=$${PWD}/bigtop-empty -Dmaven.repo.local=${HOME}/.m2/repository${M2_REPO_SUFFIX}

override_dh_auto_install:
	bash -x debian/install_flume-ng.sh \
	  --build-dir=${PWD} \
	  --doc-dir=/usr/share/doc/flume-ng-doc \
	  --doc-dir-prefix=debian/flume-ng-doc \
	  --prefix=debian/flume-ng \
	  --extra-dir=debian/
	install -d -m 0755 debian/flume-ng-agent/etc/default
	cp debian/flume-ng-agent.default debian/flume-ng-agent/etc/default/flume-ng-agent
	cp -f debian/flume-ng-agent.init.debian debian/flume-ng-agent.init

override_dh_builddeb:
	dh_builddeb -- -Zgzip


override_dh_strip_nondeterminism:
	# Disable dh_strip_nondeterminism to speed up the build

override_dh_strip:
	dh_strip --no-automatic-dbgsym
